[Overview][Classes][Variables][Index] | Reference for unit 'ports' (#rtl)

# tport

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Type implemented to support integer-sized port access

## Declaration

Source position: portsh.inc line 37

`type tport = object`
`public`
`property pp []: Byte; default; [rw]` |  | Access integer-sized port by port number
`end;`

## Inheritance

`tport` |  | Type implemented to support integer-sized port access

## Description

The TPort type is implemented specially for access to the ports in a TP compatible manner. There is no need to create an instance of this type: the standard TP variables are instantiated at unit initialization.

## See also

port |  | Provide port access per integer
TPortW |  | Type implemented to support word-sized port access
TPortL |  | Type implemented to support Longint-sized port access